installation fails on cups dependency

Questions on Installation
Post Reply
Colic
Posts: 2
Joined: Wed Jan 23, 2013 1:44 am

installation fails on cups dependency

Post by Colic » Wed Jan 23, 2013 1:59 am

Im trying to install Turboprint 2.28-1 on Ubuntu 12.04LTS. I use synaptic pachage manager to take care of the dependencies, which otherwise via the command line unsurprisingly throws errors on missing dependencies.

The installation almost works. Except for cups. The installation fails due to an allegedly missing dependency on cups:i386 as follows :

Code: Select all

dpkg: dependency problems prevent configuration of turboprint:i386:
 turboprint:i386 depends on cups | cupsys.
dpkg: error processing turboprint:i386 (--install):
 dependency problems - leaving unconfigured
Processing triggers for man-db ...
Errors were encountered while processing:
 turboprint:i386
However cups is indeed installed, as verified by dpkg --get-selections :

Code: Select all

cups						install
cups-bsd					install
cups-client					install
cups-common					install
cups-filters					install
cups-ppdc					install
ghostscript-cups				install
libcups2					install
libcups2:i386					install
libcupscgi1					install
libcupscgi1:i386				install
libcupsdriver1					install
libcupsfilters1					install
libcupsimage2					install
libcupsimage2:i386				install
libcupsmime1					install
libcupsmime1:i386				install
libcupsppdc1					install
libcupsppdc1:i386				install
python-cups					install
python-cupshelpers				install

Why does turboprint think cups is not installed, yet I (and dpkg and synaptic package manager come to that) all think it is? And, how sdo I fix this (although the first question will likely answer the second!)

Any help appreciated please....

zedonet
Site Admin
Posts: 1769
Joined: Fri Oct 06, 2006 8:02 am

Re: installation fails on cups dependency

Post by zedonet » Fri Jan 25, 2013 12:02 pm

Hello,

the reason for the problem might be that you are trying to install the TurboPrint 32bit package under Ubuntu Linux 64bit. Instead of a proper error message (e.g. "wrong architecture"), synaptic complains about a single package that is not present in 32bit.

Colic
Posts: 2
Joined: Wed Jan 23, 2013 1:44 am

Re: installation fails on cups dependency

Post by Colic » Sun Jan 27, 2013 5:14 am

Ha, now I feel a little dumb - you're exactly right! Thanks for that, I was blinded by the less than obvious error message and my fixation with the fact the other prerequisites had all installed just fine! That's a side effect of upgrading to 8Gb ram!!

thanks :D

Post Reply